Your current PHP version 5.3.25 is too old for SP Page Builder

We are strongly recommended to use PHP 5.4.0 or higher. Please contact your web hosting provider's support/server administrator for help.

About Spectra

Based in Singapore, SPECTRA IT Associates specialises in IT consulting and implementation services for Business Process Management (BPM), Enterprise Content\Document Management (ECM/DM) and Web Content Management (WCM) solutions in the region.

Contact Us

 info@spectra-ita.com

 #01-01 Far East Square, 1 Amoy Street, (S)049944

 09:00-18:00

© 2006 - 2020 Spectra IT Associates LLP. All Rights Reserved.